function [ error ] = cellarray2txtfile( cellarray , filename )
%
%CELLARRAY2TXTFILE takes the cell array of strings (typically the log
%information in an application) and creates a text file. The string stored
%in a cell generates a line in the txt file. The text file is recorded in
%the working directory

% init
error = {};

% append a carriage return '\r\n' to the end of each string that composes 
% the cell array EXCEPT for the last component!!!
text = [strcat(cellarray(1:end-1),{'\r\n'}) cellarray(end)];
fid = fopen(filename,'w');
fprintf(fid,strcat(text{:}),'%s');
ok = fclose(fid);
if ok ~= 0
    error = {'ERROR cellarray2txtfile:fileNotCreated'};
end

end