function [ newdata, error ] = dsetNorm( data )
%PRENORMFWD uses the drEEM's NORMEEM to normalise EEM data

%% === INIT
error = {};

%% === INFO
label = 'Normalize dataset';
info = strcat({ ...
    'Not scaled datased will be stored in ''data.Xnotscaled''', ...
    'This processing uses the drEEM''s NORMEEM script', ...
    'NORMEEM normalizes dataset to unit variance in sample mode', ...
    'Type HELP NORMEEM in MATLAB''s console for more info', ...
    });
uiwait(msgbox(info,label,'modal'));

%% === UPDATE DATASET
newdata = normeem(data);

end