function appClose(handles, eventdata)
%
% All the actions that we want to do before the current app (figure) is
% closed. The reference to the function must be done in the
% 'CloseRequestFcn' property via property inspector
% (CloseRequestFcn = @appClose)

handles = guidata(gcbo);
cd(handles.config.datadir);
if isfield(handles,'experiment')
    log_file = strcat(handles.experiment.info.dir,'\~log.tmp');
else
    log_file = strcat(handles.config.datadir,'\~log.tmp');
end
if exist(log_file,'file')
    eval(['!del ' log_file]);
end
cd(handles.config.rootdir);
clear;
delete(gcf);