function setToolbar( hdl, status )
%
%SETTOOLBAR prepares the EEMlab toolbar for plots
% HDL:          figure hdl
% STATUS:       'on' or 'off'

switch status,
    
    case 'on',
        set(hdl.EEMlab_toolbar, 'Visible','on');
        set(hdl.EEMlab_rotate, 'Enable','on');
        set(hdl.EEMlab_data, 'Enable','on');
        set(hdl.EEMlab_print, 'Enable','on');
        set(hdl.EEMlab_pan, 'Enable','on');
        set(hdl.EEMlab_zoomin, 'Enable','on');
        set(hdl.EEMlab_zoomout, 'Enable','on');
        
    case 'off',
        set(hdl.EEMlab_toolbar, 'Visible','on');
        set(hdl.EEMlab_rotate, 'Enable','off');
        set(hdl.EEMlab_data, 'Enable','off');
        set(hdl.EEMlab_print, 'Enable','off');
        set(hdl.EEMlab_pan, 'Enable','off');
        set(hdl.EEMlab_zoomin, 'Enable','off');
        set(hdl.EEMlab_zoomout, 'Enable','off');
        
end