classdef devSpectTags < uint8
    %DEVSPECTAGS is a list of spectrophotometers supported by EEMlab
    %   Use: [members,names] = enumeration('devSpectTags')
    
    enumeration
        select          (0)
        Hitachi         (1) % Hitachi-UH5300, EPSA-UPV dataset
        Varian_Cary4E   (2) % Cary 4E (Varian), drEEM dataset
        Varian_Cary50   (3)
        PerkinElmer     (4)
        Agilent_8453    (5) % Agilent 8453, A. HECHAVARRIA dataset
        Jenway_7315     (6) % 7315 (Jenway), UCA (Universidad de Cdiz) dataset
    end
    
end

