%% MTEXT toolbox demo
%

% STEP 1: convert the TXT external file into a CELLARRAY and display
filename = 'demo_file.txt';
[text,~] = txtfile2cellarray(filename);
uiwait(msgbox(text,'CELLARRAY','modal'));

% STEP 2: add a new message at the end of the text CELLARRAY
text{end+1} = 'This is the NEW end of the file';
uiwait(msgbox(text,'CELLARRAY','modal'));

% STEP 3: export the CELLARRAY contents into a TXT file and display
err = cellarray2txtfile(text,filename);
if isempty(err) && ispc
    eval(['!notepad ' filename]);
end